<template>
    <section class="cart_title">
        
        <AlreadyFan ref="fan_box" :cart_data="cart_data" :location="location" :domain_id="domain_id" :is_mobile="is_mobile"/>
    </section>
</template>
<script>
import AlreadyFan from './already-fan.vue';
export default {
    props : ['cart_data'],
    components : { AlreadyFan },
    data() {
      return {
        location : this.$store.state.front_end_data.location,
        domain_id : this.$store.state.front_end_data.domain_id,
        is_mobile : true,
      }
    },
    methods:{
      openAlreadyFanModel() { 
            this.is_mobile = true;
            if((this.cart_data.mobile==""|| this.cart_data.mobile==null) && (this.cart_data.daytime_phone!=""&& this.cart_data.daytime_phone!=null)) {
                this.is_mobile = false;
            }
            this.$refs.fan_box.openModel();
        },
    }
}
</script>